package graphicselements;

public class Triangle extends Shape {

	public Triangle(){}
	
	public Triangle(Picture picture, int sideLength) {
		super(picture);
		Point p1 = new Point(0,0);
		Point p2 = new Point(0,sideLength);
		Point p3 = new Point(sideLength,sideLength);
		Line l1 = new Line(p1, p2);
		Line l2 = new Line(p2, p3);
		Line l3 = new Line(p3, p1);
		
		getPoints().add(p1);
		getPoints().add(p2);
		getPoints().add(p3);
		
		getLines().add(l1);
		getLines().add(l2);
		getLines().add(l3);
	}

}
