package graphicselements;

public class Polygon extends Shape {

	public Polygon(){
		
	}
	public Polygon(Picture picture,int vertexNumber, int sideLength) {
		super(picture);
		for(int v=0;v<vertexNumber; v++){
			Point point = new Point(0,sideLength);
			getPoints().add(point);
		}
		
		for(int v=0;v<vertexNumber; v++){
			Line line = new Line((Point)getPoints().get(v), (Point)getPoints().get((v+1)%vertexNumber));
			getLines().add(line);
		}
	}

}
